## ros-kinetic-pr2-counterbalance-check 1.0.15

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_counterbalance_check)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS joint_qualification_controllers rospy std_msgs pr2_self_test_msgs pr2_controller_configuration actionlib pr2_controllers_msgs pr2_controller_manager)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Append to CPACK_SOURCE_IGNORE_FILES a semicolon-separated list of
# directories (or patterns, but directories should suffice) that should
# be excluded from the distro.  This is not the place to put things that
# should be ignored everywhere, like "build" directories; that happens in
# rosbuild/rosbuild.cmake.  Here should be listed packages that aren't
# ready for inclusion in a distro.
#
# This list is combined with the list in rosbuild/rosbuild.cmake.  Note
# that CMake 2.6 may be required to ensure that the two lists are combined
# properly.  CMake 2.4 seems to have unpredictable scoping rules for such
# variables.
#list(APPEND CPACK_SOURCE_IGNORE_FILES /core/experimental)
include_directories(${PYTHON_MATPLOT_DIRS})

# CATKIN_MIGRATION
# use bloom tool
## Generate added messages and services with any dependencies listed here
#generate_messages(
#    #TODO DEPENDENCIES geometry_msgs std_msgs
#)
if(CATKIN_ENABLE_TESTING)
	#catkin_add_nosetests(test/cb_analysis_test.py DEPENDENCIES ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
  find_package(rostest REQUIRED)

  #DFS: temporarily removing due to non-functioning test
  #add_rostest(test/cb_test.test DEPENDENCIES ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
endif()


# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS joint_qualification_controllers rospy std_msgs pr2_self_test_msgs pr2_controller_configuration actionlib pr2_controllers_msgs pr2_controller_manager
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

catkin_python_setup()

install(DIRECTORY cb_data config launch scripts test training util
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-kinetic-pr2-counterbalance-check (1.0.15-1xenial) xenial; urgency=high

  * Merge pull request #8 <https://github.com/PR2/pr2_self_test/issues/8> from knorth55/indigo-fix
    Fixed bugs to run PR2 couter balance adjustment on Indigo
  * Merge pull request #1 <https://github.com/PR2/pr2_self_test/issues/1> from k-okada/indigo-fix
    remove duplicated -catkin_python_setup
  * to import functions, need to import pr2_counterbalance_check.counterbalance_analysis
  * remove ROSPACK_MAKEDIST and wrong catkin_python_setup placement
  * add install to CMakeLists.txt in pr2_counterbalance_check
  * add python setup in pr2_counterbalance_check
  * Contributors: Kei Okada, Shingo Kitagawa

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 24 Apr 2019 00:00:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.14-1xenial) xenial; urgency=high

  * added some additional python build support
  * temporarily removed nosetest due to build interference
  * nosetest is now in conditional block (pr2_counterbalance_check)
  * Contributors: David Feil-Seifer

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 27 Mar 2019 00:00:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.13-1xenial) xenial; urgency=high

  * updated maintainer status
  * Contributors: David Feil-Seifer

 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 26 Mar 2019 00:00:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.12-1xenial) xenial; urgency=high

  * Merge branch 'hydro-devel' of https://github.com/pr2/pr2_self_test into hydro-devel
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 22 Sep 2015 23:58:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.11-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 22 Sep 2015 12:23:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.10-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 18 Sep 2015 00:00:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.9-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.8-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 10 Feb 2015 00:00:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.7-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 02 Dec 2014 00:00:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.6-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 28 Nov 2014 19:38:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.5-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 28 Nov 2014 02:19:40 -0000

ros-kinetic-pr2-counterbalance-check (1.0.4-1xenial) xenial; urgency=high



 -- David Feil-Seifer <dave@cse.unr.edu>  Fri, 28 Nov 2014 02:19:12 -0000

ros-kinetic-pr2-counterbalance-check (1.0.3-1xenial) xenial; urgency=high

  * Removed mainpage.dox;updated maintainership
  * Contributors: TheDash

 -- David Feil-Seifer <dave@cse.unr.edu>  Wed, 15 Oct 2014 00:00:00 -0000

ros-kinetic-pr2-counterbalance-check (1.0.2-1xenial) xenial; urgency=high

  * Versions updated
  * Changelogs
  * Catkinization of pr2_counterbalance_check and compiles in hydro
  * Added CMakeLists.txt
  * Added package.xml
  * Fix image type for Groovy.
  * Fix counterbalance test.
  * add dependency on matplotlib
  * Unit tests for CB analysis code.
  * Controllers load using pkg/Name syntax in pr2_counterbalance_check. #4534 <https://github.com/PR2/pr2_self_test/issues/4534>
  * pr2_counterbalance_check tested on PRK
  * counterbalance_training.py allows users to record training data for their CB
  * Added pr2_counterbalance_check package, to allow CB check to run on robots and during qual. #4399 <https://github.com/PR2/pr2_self_test/issues/4399>
  * Contributors: Austin Hendrix, TheDash, ahendrix, watts, wim

 -- David Feil-Seifer <dave@cse.unr.edu>  Tue, 16 Sep 2014 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-counterbalance-check
Section: misc
Priority: extra
Maintainer: David Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-joint-qualification-controllers, ros-kinetic-pr2-controller-configuration, ros-kinetic-pr2-controller-manager, ros-kinetic-pr2-controllers-msgs, ros-kinetic-pr2-self-test-msgs, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/pr2_counterbalance_check
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-counterbalance-check
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-joint-qualification-controllers, ros-kinetic-pr2-controller-configuration, ros-kinetic-pr2-controller-manager, ros-kinetic-pr2-controllers-msgs, ros-kinetic-pr2-self-test-msgs, ros-kinetic-rospy, ros-kinetic-std-msgs
Description: pr2_counterbalance_check

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-counterbalance-check//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
